---
layout: mockup
title: "Network & Internet"
theme: Adwaita/Adwaita.css
permalink: settings/network/
wallpaper: adwaita
published: true
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			<!-- Airplane mode -->
			<div class="row">
				<ul class="listrow">
					<li class="medium" onclick="toggleChecked('#airplaneModeSwitch');">
						<div class="label-group">
							<label>Airplane Mode</label>
							<label class="small-label dim-label">Disables Wi-Fi, Bluetooth and Cellular</label>
						</div>
						{%- include components/switch.html float = "right" id = "airplaneModeSwitch" -%}
					</li>
				</ul>
			</div>
			<div class="row">
				<ul class="listrow">
					{%- for item in site.data.settings-alt-network -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li><span class="icon s16 float-left">{%- include symbolic/{{ item.icon }}-symbolic.svg -%}</span><label class="float-left">{{ item.title }}</label>{%- include components/listrow-link-icon.html -%}<label class="float-right dim-label">{{ item.status }}</label></li></a>{%- endfor -%}
				</ul>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(1) li').addClass("active");});



// airplane mode
$(document).ready(function(){
	$('#airplaneModeSwitch').change(function(){
		if($(this).is(":checked")) {
			$('#statusAirplaneMode').removeClass('hidden');
			$('#statusAirplaneModeMobile').removeClass('hidden');
			$('#statusCellular').hide();
			$('#statusCellularMobile').hide();
			$('#statusCellularNetwork').hide();
			$('#statusCellularNetworkMobile').hide();
			$('#statusBluetooth').hide();
			$('#statusWireless').hide();
			$('#statusWirelessMobile').hide();
			$('#networkList').addClass('insensitive');
			$('#wifiOptions').addClass('insensitive');
			$('#nearbyNetworkList').hide();
			$('#wifiStatus').text('Disconnected');
		} else {
			$('#statusAirplaneMode').addClass('hidden');
			$('#statusAirplaneModeMobile').addClass('hidden');
			$('#statusCellular').show();
			$('#statusCellularMobile').show();
			$('#statusCellularNetwork').show();
			$('#statusCellularNetworkMobile').show();
			$('#statusBluetooth').show();
			$('#statusWireless').show();
			$('#statusWirelessMobile').show();
			$('#networkList').removeClass('insensitive');
			$('#wifiOptions').removeClass('insensitive');
			$('#nearbyNetworkList').show();
			$('#wifiStatus').text('Connected');
		}
	});
});
</script>